Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets.layout
Class BorderLayoutData

    java.lang.Object
      com.gwtext.client.core.JsObject
          com.gwtext.client.core.BaseConfig
              com.gwtext.client.widgets.layout.LayoutData
                  com.gwtext.client.widgets.layout.BorderLayoutData

    public class BorderLayoutData

extends LayoutData

Additional layout data associated with a `BorderLayout`.

See Also:
  `BorderLayout`

Field Summary

Fields inherited from class com.gwtext.client.core.JsObject
`jsObj`

Constructor Summary
`BorderLayoutData(RegionPosition region)` Create a new instance.
`BorderLayoutData(RegionPosition region, Margins margins)`

Method Summary
`void` | `setAnimFloat(boolean animFloat)` When a collapsed region's bar is clicked, the region's panel will be displayed as a floated panel that will close again once the user mouses out of that panel (or clicks out if autoHide = false).
`void` | `setAutoHide(boolean autoHide)` When a collapsed region's bar is clicked, the region's panel will be displayed as a floated panel.
`void` | `setCMargins(int top, int left, int right, int bottom)`
`void` | `setCMargins(Margins cMargins)` The margins to apply to the region's collapsed element.
`void` | `setCollapseModeMini(boolean miniMode)` By default, collapsible regions are collapsed by clicking the expand/collapse tool button that renders into the region's title bar.
`void` | `setCollapsibleSplitTip(java.lang.String collapsibleSplitTip)` The tooltip to display when the user hovers over a collapsible region's split bar (defaults to "Drag to resize.
`void` | `setFloatable(boolean floatable)` True to allow clicking a collapsed region's bar to display the region's panel floated above the layout, false to force the user to fully expand a collapsed region by clicking the expand button to see it again (defaults to true).
`void` | `setMargins(int top, int left, int right, int bottom)` The margins to apply to the region.
`void` | `setMargins(Margins margins)`
`void` | `setMaxSize(int maxSize)` When `setSplit(boolean)` is true, it is common to specify a minSize and maxSize for the region.
`void` | `setMinHeight(int minHeight)` The minimum allowable height in pixels for this region (defaults to 50).
`void` | `setMinSize(int minSize)` When `setSplit(boolean)` is true, it is common to specify a minSize and maxSize for the region.
`void` | `setMinWidth(int minWidth)` The minimum allowable width in pixels for this region (defaults to 50).
`void` | `setRegion(RegionPosition region)` Set the BorderLayout region.
`void` | `setSplit(boolean split)` True to display a SplitBar between this region and its neighbor, allowing the user to resize the regions dynamically (defaults to false).
`void` | `setSplitTip(java.lang.String splitTip)` The tooltip to display when the user hovers over a non-collapsible region's split bar (defaults to "Drag to resize.").
`void` | `setUseSplitTips(boolean useSplitTips)` True to display a tooltip when the user hovers over a region's split bar (defaults to false).

Methods inherited from class com.gwtext.client.core.JsObject
`getJsObj, getProperties, isCreated, setJsObj`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BorderLayoutData

    public BorderLayoutData(RegionPosition region)

  Create a new instance.

  Parameters:
    `region` - the border layout region.

### BorderLayoutData

    public BorderLayoutData(RegionPosition region,
                            Margins margins)

Method Detail

### setRegion

    public void setRegion(RegionPosition region)

  Set the BorderLayout region.

  Parameters:
    `region` - the region

### setAnimFloat

    public void setAnimFloat(boolean animFloat)

  When a collapsed region's bar is clicked, the region's panel will be displayed as a floated panel that will close again once the user mouses out of that panel (or clicks out if autoHide = false). Setting animFloat to false will prevent the open and close of these floated panels from being animated (defaults to true).

  Parameters:
    `animFloat` - true to amin float

### setAutoHide

    public void setAutoHide(boolean autoHide)

  When a collapsed region's bar is clicked, the region's panel will be displayed as a floated panel. If autoHide is true, the panel will automatically hide after the user mouses out of the panel. If autoHide is false, the panel will continue to display until the user clicks outside of the panel (defaults to true).

  Parameters:
    `autoHide` - true to auto hide

### setCMargins

    public void setCMargins(int top,
                            int left,
                            int right,
                            int bottom)

### setCMargins

    public void setCMargins(Margins cMargins)

  The margins to apply to the region's collapsed element.

  Parameters:
    `cMargins` - the margins to apply to collapsed element

### setCollapseModeMini

    public void setCollapseModeMini(boolean miniMode)

  By default, collapsible regions are collapsed by clicking the expand/collapse tool button that renders into the region's title bar. Optionally, when collapseMode is set to 'mini' the region's split bar will also display a small collapse button in the center of the bar. In 'mini' mode the region will collapse to a thinner bar than in normal mode.
  Note that if a collapsible region does not have a title bar, then collapseMode must be set to 'mini' in order for the region to be collapsible by the user as the tool button will not be rendered.

  Parameters:
    `miniMode` - true for mimi collapse mode

### setFloatable

    public void setFloatable(boolean floatable)

  True to allow clicking a collapsed region's bar to display the region's panel floated above the layout, false to force the user to fully expand a collapsed region by clicking the expand button to see it again (defaults to true).

  Parameters:
    `floatable` - true for floatable

### setMargins

    public void setMargins(int top,
                           int left,
                           int right,
                           int bottom)

  The margins to apply to the region.

### setMargins

    public void setMargins(Margins margins)

### setMinHeight

    public void setMinHeight(int minHeight)

  The minimum allowable height in pixels for this region (defaults to 50).

  Parameters:
    `minHeight` - the min height

### setMinWidth

    public void setMinWidth(int minWidth)

  The minimum allowable width in pixels for this region (defaults to 50).

  Parameters:
    `minWidth` - the min width

### setMinSize

    public void setMinSize(int minSize)

  When `setSplit(boolean)` is true, it is common to specify a minSize and maxSize for the region.

  Parameters:
    `minSize` - the split regions min size

### setMaxSize

    public void setMaxSize(int maxSize)

  When `setSplit(boolean)` is true, it is common to specify a minSize and maxSize for the region.

  Parameters:
    `maxSize` - the split regions max size

### setSplit

    public void setSplit(boolean split)

  True to display a SplitBar between this region and its neighbor, allowing the user to resize the regions dynamically (defaults to false). When split = true, it is common to specify a minSize and maxSize for the region.

  Parameters:
    `split` - true for split bar

### setCollapsibleSplitTip

    public void setCollapsibleSplitTip(java.lang.String collapsibleSplitTip)

  The tooltip to display when the user hovers over a collapsible region's split bar (defaults to "Drag to resize. Double click to hide."). Setting this property automatically sets the split property to true.

  Parameters:
    `collapsibleSplitTip` - the tooltip to display when the user hovers over a collapsible region's split bar
  See Also:
    `setSplit(boolean)`

### setSplitTip

    public void setSplitTip(java.lang.String splitTip)

  The tooltip to display when the user hovers over a non-collapsible region's split bar (defaults to "Drag to resize.").
  Setting this property automatically sets the split property to true.

  Parameters:
    `splitTip` - the tooltip to display when the user hovers over a non-collapsible region's split bar (defaults to "Drag to resize.").
  See Also:
    `setSplit(boolean)`

### setUseSplitTips

    public void setUseSplitTips(boolean useSplitTips)

  True to display a tooltip when the user hovers over a region's split bar (defaults to false). The tooltip text will be the value of either splitTip or collapsibleSplitTip as appropriate.
  Setting this property automatically sets the split property to true.

  Parameters:
    `useSplitTips` - true to display a tooltip when the user hovers over a region's split bar (defaults to false)
  See Also:
    `setSplit(boolean)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD